#!/usr/bin/env bash
set -e

if [[ ! -v VS_VERSION ]]; then
    echo "You need to set the VS_VERSION env variable."
    exit 1
fi

if [[ ! -v VS_BRANCH ]]; then
    echo "You need to set the VS_BRANCH env variable."
    exit 1
fi

wget https://cdn.vintagestory.at/gamefiles/${VS_BRANCH}/vs_server_linux-x64_${VS_VERSION}.tar.gz
tar xzf vs_server_linux-*.tar.gz
rm vs_server_linux-*.tar.gz

/vintagestory/VintagestoryServer --dataPath /data
