# Vintagestory Docker
Docker images for Vintagestory.

## Example
A simple example using docker compose.

```yaml
services:
  "vintagestory":
    image: "git.1e99.eu/1e99/vintagestory:latest"
    volumes:
      - "./vintagestory:/data"
    environment:
      - "VS_BRANCH=stable" # Either stable or unstable
      - "VS_VERSION=1.20.7"
    ports:
      - "42420:42420/tcp"
      - "42420:42420/udp"
```
